Getting Start Install WSL

From Terasic Wiki

Jump to: navigation, search

Starting with the Nios® II EDS in the Intel® Quartus® Prime Pro Edition software version 19.2 and Intel® Quartus® Prime Standard Edition software version 19.1, the Cygwin component in the Windows* version of Nios II EDS has been removed and replaced with Windows Subsystem for Linux(WSL)

Contents

Install Setps

  1. Open PowerShell as Administrator
    Wsl 002.png
  2. Run : Enable-WindowsOptionalFeature -Online -FeatureName Microsoft-Windows-Subsystem-Linux
    Wsl 003.png
  3. Restart your computer when prompted.
  4. Install the Linux Distribution on your Windows 10, Please install Ubuntu 18.04 LTS for WSL from the flowing link: Ubuntu 18.04 LTS
    Note: Windows* 10 build version 16215.0 or higher is the recommended operating system version.
  5. From the distro's page, select "Get"
    Wsl 004.png
  6. Now that your Linux distro is installed, you must initialize your new distro instance once, before it can be used. You will be prompted to create a new user account (and its password).
    Wsl 005.png
  7. Most distros ship with an empty/minimal package catalog. We strongly recommend regularly updating your package catalog, and upgrading your installed packages using your distro's preferred package manager. On Debian/Ubuntu, you use apt:
    sudo apt update && sudo apt upgrade
    Wsl 006.png
  8. Install additional distro packages required for Nios® II EDS using the following command:
    sudo apt install wsl
    sudo apt install dos2unix
    sudo apt install make
    Wsl 007.png
  9. Once the installation is complete, the WSL is installed.

Reference

Issues

WSL2

If users install to WSL2 version, they may encounter the following problems:

Wsl issue 01.png

To check the version of WSL installed, users can enter in the Command Prompt window:

wsl -l -v

Wsl issue 02.png

If the version of WSL is 2, you can enter the following command in the Command Prompt window to change the WSL version to 1.

wsl --set-version Ubuntu-18.04 1

deme_batch execute error

  • Problem description:
    When executing deme_batch, the following error occurred

Wsl issue 03.png

or

Wsl issue 06.jpg

  1. The location of the nios2-download file is in <Quartus installation location>\Quartus version\nios2eds\bin\. For example: c:\intelFPGA_pro\20.2\nios2eds\bin\
  2. Find the content $(adjust_path_mixed $srecfile) in the nios2-download file, and add touch $srecfile in the previous line.
    Wsl issue 04.png
  3. Save file and try to execute the demo batch file again.
  • Solution 3: Modify the .sh file in the demo batch foleder
  1. Modify test.sh, add touch $project_elf.srec before nios2-download

Wsl issue 05.png

Personal tools